summaryrefslogtreecommitdiff
path: root/infrastructure/mingw/configure.sh
diff options
context:
space:
mode:
authorChris Wilson <chris+github@qwirx.com>2011-10-09 21:51:22 +0000
committerChris Wilson <chris+github@qwirx.com>2011-10-09 21:51:22 +0000
commitde2468f74a9fdf08415c11a4d0ca54cf03a14d99 (patch)
tree087f149bede7d16a25bd5e165c2def4394ec7b54 /infrastructure/mingw/configure.sh
parent29a41bf9a00f560b4234a391b4ce3fe9028357fd (diff)
Check for libz.dll.a installed in new location before configuring for
MinGW.
Diffstat (limited to 'infrastructure/mingw/configure.sh')
-rwxr-xr-xinfrastructure/mingw/configure.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/infrastructure/mingw/configure.sh b/infrastructure/mingw/configure.sh
index ef67d0d4..9a0aa363 100755
--- a/infrastructure/mingw/configure.sh
+++ b/infrastructure/mingw/configure.sh
@@ -16,6 +16,11 @@ if [ ! -r "$DEP_PATH/lib/libpcreposix.a" \
exit 2
fi
+if [ ! -r "$DEP_PATH/sys-root/mingw/lib/libz.dll.a" ]; then
+ echo "Error: upgrade your Cygwin mingw-zlib-devel package" >&2
+ exit 2
+fi
+
if [ ! -x "configure" ]; then
if ! ./bootstrap; then
echo "Error: bootstrap failed, aborting." >&2